
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1

%define	summary	CP/M for Linux - yaze
%define	copy	GPL
%define	name	cpm4l-yaze
%define	version	1.14
%define	release	20050324

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%if "%(echo $CPM4L)" == ""
%define	_prefix		/opt/cpm4l
%else
%define	_prefix		%(echo $CPM4L)
%endif

%define	_prefix		/opt/cpm4l
%define	_libdir		%{_prefix}/lib
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L/Emulators
Icon:		cpm4l.xpm
ExclusiveOS:	linux
Provides:	yaze
Provides:	cdm
Requires:	cpm4l-base >= 0.1
Conflicts:	cpm4l-yaze-ag
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://ibiblio.org/pub/Linux/system/emulators/yaze-%{version}.tar.gz
Patch0:         yaze-%{version}-fixed.patch.bz2

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe ther will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * see cpm4l-base package



! ! !   Y e t   A n o t h e r   Z 8 0   E m u l a t o r   ! ! !


YAZE is an excellent Z80 simulator and CP/M emulator, written
in ANSI C, that works on many architectures. It is fast,
simulates undocumented opcodes and passes instruction regression
tests against real Z80 hardware.

The package consists of:

* an instruction set simulator which accurately imitates a real Z80
  microprocessor,

* a CP/M-2.2 bios written in C which runs on the Unix host but
  interacts with the simulated Z80,

* a monitor which loads CP/M into the simulated processor's ram and
  which makes Unix directories or files look like CP/M disks, and

* a separate program (cdm) which creates and manipulates CP/M disk
  images for use with yaze.

%package doc
Summary:	%{summary} -- documentation
Group:		Development/CPM4L/dos
Requires:	cpm4l-yaze
Requires:	%{name} = %{version}
Requires:	man
Prereq:		/usr/bin/man

%description doc
This is the documentation package for the yaze part of CPM4L. Have
a look at:

   * cpm4l-yaze

%prep
%setup -q -n yaze-%{version}
%patch0 -p1

# CPM4L-zification for bug reports
perl -pi -e '/^#define/ and s/(VERSION.*\"%{version}.*)\".*$/\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)\"/;' \
	yaze.c
perl -pi -e '/^#define/ and s/(VERSION.*\"1\.00)\".*$/\1 \(CPM4L %{cpm_l_version} 1.00-%{release}\)\"/;' \
	cdm.c

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
%make	BINDIR=%{_bindir}			\
	MANDIR=%{_mandir}/man1			\
	LIBDIR=%{_libdir}		all

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/yaze
%makeinstall	BINDIR=${RPM_BUILD_ROOT}%{_bindir}	\
		MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man1	\
		LIBDIR=${RPM_BUILD_ROOT}%{_libdir}
for i in `file ${RPM_BUILD_ROOT}%{_bindir}/* | grep ELF | sed -e "s/:.*$//g"`; do \
  strip ${i}; done
for i in test/*; do \
  install -D -m 0644 ${i} ${RPM_BUILD_ROOT}%{_datadir}/yaze/${i}; done
cat << EOT > .yazerc
mount -r a %{_datadir}/yaze/test
go
EOT
install -D -m 0644 .yazerc ${RPM_BUILD_ROOT}%{_sysconfdir}/yazerc
# documentations
for i in *.doc README README-1.10 COPYING ChangeLog; do \
  install -D -m 0644 ${i} ${RPM_BUILD_ROOT}%{_docdir}/yaze-%{version}/${i}; done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}
%{_datadir}/yaze
%config(noreplace) %{_sysconfdir}/yazerc

%files doc
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%dir %{_docdir}/yaze-%{version}
%doc %{_docdir}/yaze-%{version}/*

%changelog
* Thu Mar 24 2005 Stephan Linz <linz@li-pro.net> 1.14-20050324
- remove meaningless conflict definitions: cpm4l-CPeMu, cpm4l-PCeMu
- upgrade to version 1.14

* Thu Mar 24 2005 Stephan Linz <linz@li-pro.net> 1.10-20050324
- RPM review and rebuild

* Sun Sep 22 2002 Stephan Linz <linz@li-pro.net>
- automatic rebuild
